Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This macro is needed at the start for building on EL6


%global enable_tests 1
%global srcname onetime
%global commit a4aa1ce5291cc5f32ecb8f4b0a918b12cb47ea5e

Name:           nodejs-%{srcname}
Version:        1.0.0
Release:        alt1_8
Summary:        Only call a function once
License:        MIT
URL:            https://github.com/sindresorhus/%{srcname}
Source0:        https://github.com/sindresorhus/%{srcname}/archive/%{commit}/%{srcname}-%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  mocha
%endif
Source44: import.info


%description
Only call a function once. Unlike the module `once`, this one isn't naughty 
extending `Function.prototype`.


%prep
%setup -q -n %{srcname}-%{commit}
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha
%endif


%files
%doc readme.md
%doc --no-dereference license
%{nodejs_sitelib}/%{srcname}


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_8
- new version

